aboutsummaryrefslogtreecommitdiff
path: root/git-pull.sh
diff options
context:
space:
mode:
authorShawn Pearce <spearce@spearce.org>2006-07-10 23:38:35 -0400
committerJunio C Hamano <junkio@cox.net>2006-07-10 21:21:27 -0700
commit55b7835e1b81a6debc7648149d2b8a4c5c64ddba (patch)
tree511bc31360ea05091c8d2aa47d8b41a8bbe72a20 /git-pull.sh
parenta3a733e63bb8dfbd6921b8f405d652db1821d4fd (diff)
downloadgit-55b7835e1b81a6debc7648149d2b8a4c5c64ddba.tar.gz
git-55b7835e1b81a6debc7648149d2b8a4c5c64ddba.tar.xz
Log ref changes made by git-fetch and git-pull.
When git-fetch updates a reference record in the associated reflog what type of update took place and who caused it (git-fetch or git-pull, by invoking git-fetch). Signed-off-by: Shawn O. Pearce <spearce@spearce.org> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-pull.sh')
-rwxr-xr-xgit-pull.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-pull.sh b/git-pull.sh
index 076785c96..d337bf4da 100755
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -45,7 +45,7 @@ do
done
orig_head=$(git-rev-parse --verify HEAD) || die "Pulling into a black hole?"
-git-fetch --update-head-ok "$@" || exit 1
+git-fetch --update-head-ok --reflog-action=pull "$@" || exit 1
curr_head=$(git-rev-parse --verify HEAD)
if test "$curr_head" != "$orig_head"